Bug 1226038 - openSuse 13.2 rdma.so missing
Summary: openSuse 13.2 rdma.so missing
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: 3.5.2
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-28 19:41 UTC by Thomas
Modified: 2015-06-03 14:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-03 14:42:10 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Thomas 2015-05-28 19:41:40 UTC
Description of problem:

can not start glusterd


Version-Release number of selected component (if applicable):
opensuse 13.2 with gluster 3.5.2


How reproducible:

try to start on any new installed opensuse 13.2


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

[2015-05-28 19:21:15.421813] D [rpc-transport.c:262:rpc_transport_load] 0-rpc-transport: attempt to load file /usr/lib/glusterfs/3.5.2/rpc-transport/socke
[2015-05-28 19:21:15.422064] I [socket.c:3578:socket_init] 0-socket.management: SSL support is NOT enabled
[2015-05-28 19:21:15.422072] I [socket.c:3593:socket_init] 0-socket.management: using system polling thread
[2015-05-28 19:21:15.422079] D [name.c:557:server_fill_address_family] 0-socket.management: option address-family not specified, defaulting to inet
[2015-05-28 19:21:15.422141] D [rpc-transport.c:262:rpc_transport_load] 0-rpc-transport: attempt to load file /usr/lib/glusterfs/3.5.2/rpc-transport/rdma.
[2015-05-28 19:21:15.422157] E [rpc-transport.c:266:rpc_transport_load] 0-rpc-transport: /usr/lib/glusterfs/3.5.2/rpc-transport/rdma.so: cannot open share
[2015-05-28 19:21:15.422163] W [rpc-transport.c:270:rpc_transport_load] 0-rpc-transport: volume 'rdma.management': transport-type 'rdma' is not valid or n
[2015-05-28 19:21:15.422169] W [rpcsvc.c:1535:rpcsvc_transport_create] 0-rpc-service: cannot create listener, initing the transport failed

Does anyone know how to fix this?

Comment 1 Niels de Vos 2015-06-02 12:22:43 UTC
The missing /usr/lib/glusterfs/3.5.2/rpc-transport/rdma.so should not be fatal. There might be a glusterfs-rdma package that provides this module.

However, you seem to have a volume "rdma.management" on this server that has rdma enabled? Some more details about your configuration and full logs would be helpful, please attach them to this bug.

Comment 2 Thomas 2015-06-02 15:50:48 UTC
What is rdma.managment? I never heard that before. I have not configured or installed it. How can I turn it off? The system is a fresh installed and updated OS 13.2

Here is the full log with --log-level=DEBUG

[2015-06-02 15:40:41.416248] I [glusterfsd.c:1959:main] 0-/usr/sbin/glusterd: Started running /usr/sbin/glusterd version 3.5.2 (/usr/sbin/glusterd -p /run/glusterd.pid --log-file=/var/log/glusterd.log --log-level=DEBUG)
[2015-06-02 15:40:41.416554] D [glusterfsd.c:1631:glusterfs_pidfile_update] 0-glusterfsd: pidfile /run/glusterd.pid updated with pid 1482
[2015-06-02 15:40:41.416639] D [glusterfsd.c:596:get_volfp] 0-glusterfsd: loading volume file /etc/glusterfs/glusterd.vol
[2015-06-02 15:40:41.560061] I [glusterd.c:1122:init] 0-management: Using /var/lib/glusterd as working directory
[2015-06-02 15:40:41.560812] D [glusterd.c:345:glusterd_rpcsvc_options_build] 0-: listen-backlog value: 128
[2015-06-02 15:40:41.560909] D [rpcsvc.c:2183:rpcsvc_init] 0-rpc-service: RPC service inited.
[2015-06-02 15:40:41.560917] D [rpcsvc.c:1812:rpcsvc_program_register] 0-rpc-service: New program registered: GF-DUMP, Num: 123451501, Ver: 1, Port: 0
[2015-06-02 15:40:41.560933] D [rpc-transport.c:262:rpc_transport_load] 0-rpc-transport: attempt to load file /usr/lib/glusterfs/3.5.2/rpc-transport/socket.so
[2015-06-02 15:40:41.568204] I [socket.c:3578:socket_init] 0-socket.management: SSL support is NOT enabled
[2015-06-02 15:40:41.568222] I [socket.c:3593:socket_init] 0-socket.management: using system polling thread
[2015-06-02 15:40:41.568232] D [name.c:557:server_fill_address_family] 0-socket.management: option address-family not specified, defaulting to inet
[2015-06-02 15:40:41.568283] D [rpc-transport.c:262:rpc_transport_load] 0-rpc-transport: attempt to load file /usr/lib/glusterfs/3.5.2/rpc-transport/rdma.so
[2015-06-02 15:40:41.568307] E [rpc-transport.c:266:rpc_transport_load] 0-rpc-transport: /usr/lib/glusterfs/3.5.2/rpc-transport/rdma.so: cannot open shared object file: No such file or directory
[2015-06-02 15:40:41.568316] W [rpc-transport.c:270:rpc_transport_load] 0-rpc-transport: volume 'rdma.management': transport-type 'rdma' is not valid or not found on this machine
[2015-06-02 15:40:41.568323] W [rpcsvc.c:1535:rpcsvc_transport_create] 0-rpc-service: cannot create listener, initing the transport failed
[2015-06-02 15:40:41.568331] D [rpcsvc.c:1812:rpcsvc_program_register] 0-rpc-service: New program registered: GlusterD svc peer, Num: 1238437, Ver: 2, Port: 0
[2015-06-02 15:40:41.568339] D [rpcsvc.c:1812:rpcsvc_program_register] 0-rpc-service: New program registered: GlusterD svc cli read-only, Num: 1238463, Ver: 2, Port: 0
[2015-06-02 15:40:41.568345] D [rpcsvc.c:1812:rpcsvc_program_register] 0-rpc-service: New program registered: GlusterD svc mgmt, Num: 1238433, Ver: 2, Port: 0
[2015-06-02 15:40:41.568352] D [rpcsvc.c:1812:rpcsvc_program_register] 0-rpc-service: New program registered: Gluster Portmap, Num: 34123456, Ver: 1, Port: 0
[2015-06-02 15:40:41.568359] D [rpcsvc.c:1812:rpcsvc_program_register] 0-rpc-service: New program registered: Gluster Handshake, Num: 14398633, Ver: 2, Port: 0
[2015-06-02 15:40:41.568366] D [rpcsvc.c:1812:rpcsvc_program_register] 0-rpc-service: New program registered: Gluster MGMT Handshake, Num: 1239873, Ver: 1, Port: 0
[2015-06-02 15:40:41.568395] D [rpcsvc.c:2183:rpcsvc_init] 0-rpc-service: RPC service inited.
[2015-06-02 15:40:41.568403] D [rpcsvc.c:1812:rpcsvc_program_register] 0-rpc-service: New program registered: GF-DUMP, Num: 123451501, Ver: 1, Port: 0
[2015-06-02 15:40:41.568414] D [rpc-transport.c:262:rpc_transport_load] 0-rpc-transport: attempt to load file /usr/lib/glusterfs/3.5.2/rpc-transport/socket.so
[2015-06-02 15:40:41.568439] D [socket.c:3466:socket_init] 0-socket.management: disabling nodelay
[2015-06-02 15:40:41.568449] I [socket.c:3578:socket_init] 0-socket.management: SSL support is NOT enabled
[2015-06-02 15:40:41.568456] I [socket.c:3593:socket_init] 0-socket.management: using system polling thread
[2015-06-02 15:40:41.568489] D [rpcsvc.c:1812:rpcsvc_program_register] 0-rpc-service: New program registered: GlusterD svc cli, Num: 1238463, Ver: 2, Port: 0
[2015-06-02 15:40:41.568498] D [rpcsvc.c:1812:rpcsvc_program_register] 0-rpc-service: New program registered: Gluster Handshake (CLI Getspec), Num: 14398633, Ver: 2, Port: 0
[2015-06-02 15:40:41.568533] D [glusterd-utils.c:6062:glusterd_sm_tr_log_init] 0-: returning 0
[2015-06-02 15:40:41.568542] D [glusterd.c:1298:init] 0-management: cannot get run-with-valgrind value
[2015-06-02 15:40:42.024402] E [glusterd.c:390:glusterd_check_gsync_present] 0-glusterd: geo-replication module not working as desired
[2015-06-02 15:40:42.024526] D [glusterd.c:400:glusterd_check_gsync_present] 0-glusterd: Returning -1
[2015-06-02 15:40:42.024556] E [xlator.c:403:xlator_init] 0-management: Initialization of volume 'management' failed, review your volfile again
[2015-06-02 15:40:42.024570] E [graph.c:307:glusterfs_graph_init] 0-management: initializing translator failed
[2015-06-02 15:40:42.024581] E [graph.c:502:glusterfs_graph_activate] 0-graph: init failed
[2015-06-02 15:40:42.034590] W [glusterfsd.c:1095:cleanup_and_exit] (-->/usr/sbin/glusterd(main+0x546) [0x804c0f6] (-->/usr/sbin/glusterd(glusterfs_volumes_init+0xbc) [0x804f72c] (-->/usr/sbin/glusterd(glusterfs_process_volfp+0x10c) [0x804f62c]))) 0-: received signum (0), shutting down
[2015-06-02 15:40:42.034605] D [glusterfsd-mgmt.c:2025:glusterfs_mgmt_pmap_signout] 0-fsd-mgmt: portmapper signout arguments not given

Comment 3 Kaleb KEITHLEY 2015-06-02 17:28:58 UTC
rdma.so would come from the glusterfs-rdma RPM - if there was one for 3.5.2.

I'm not sure why at this point -- I don't remember why -- RDMA was disabled in the build of 3.5.2. It is there in the 3.5.3 RPMs for OpenSuSE 13.x.

That aside, Gluster should (and does) work fine without rdma.so. I know the log entry is 'E', but it's not fatal. I've just installed our 3.5.2 RPMs on my 13.2 box and created a volume and mounted it successfully.

The real issue that I see in the logs you've posted are these other errors:

...
[2015-06-02 15:40:42.024556] E [xlator.c:403:xlator_init] 0-management: Initialization of volume 'management' failed, review your volfile again
[2015-06-02 15:40:42.024570] E [graph.c:307:glusterfs_graph_init] 0-management: initializing translator failed
[2015-06-02 15:40:42.024581] E [graph.c:502:glusterfs_graph_activate] 0-graph: init failed
[2015-06-02 15:40:42.034590] W [glusterfsd.c:1095:cleanup_and_exit] (-->/usr/sbin/glusterd(main+0x546) [0x804c0f6] (-->/usr
...

Comment 4 Thomas 2015-06-02 20:32:07 UTC
I found that python-xml was not installed. There was an error msg after I did a "gluster volume info" saying gsyncd.py could not import monitor.

After I installed python-xml I got glusterd working.

Thx for yout help.


Note You need to log in before you can comment on or make changes to this bug.